> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Incident

> Links an incident in CAD to an active Assist call.



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /realtime/v1/cad/incident
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/cad/incident:
    post:
      tags:
        - CAD Integration
      summary: Link Incident
      description: Links an incident in CAD to an active Assist call.
      operationId: linkIncident
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkIncidentRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/LinkIncidentResponse'
        default:
          description: Indicates an error linking the incident to an active Assist call.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CadIntegrationError'
components:
  schemas:
    LinkIncidentRequest:
      type: object
      description: Request to link a CAD incident to an Assist call.
      properties:
        incidentId:
          type: string
          description: Unique ID for the incident in the source CAD.
        userId:
          type: string
          description: >-
            Unique ID / Personnel ID / Agent ID for the CAD user that owns the
            incident.
        fields:
          type: array
          description: >
            CAD systems can send additional metadata about the call.


            All fields are optional, but may impact Assist functionality
            depending on how Assist is configured.


            Assist recognizes the following fields, which the CAD system must
            map to:


            INCIDENT_TYPE - The type of Incident, Incident Code, or Chief
            Complaint. Typically a code or short-hand value, like ABVEH
            (Abandoned Vehicle). If the CAD sends this value, and it matches an
            Assist Guide Card, then Assist will pre-populate the Guide Card
            instead of attempting to detect the most relevant Guide Card on its
            own.


            INCIDENT_DESCRIPTION - Description of Incident as entered by Call
            Taker. If no INCIDENT_TYPE is provided, this may be used by Assist
            to select an initial Guide Card.


            INCIDENT_LOCATION - Street address or other human readable string
            describing location of the Incident.


            CALLER_LATITUDE - Decimal degrees for latitude of caller's location.
            Example: 32.114


            CALLER_LONGITUDE - Decimal degrees for longitude of caller's
            location. Example: -81.211


            CALLER_PHONE - Caller's phone number.


            CALLER_NAME - Name of caller.


            CAD systems may send additional metadata, but only the items in the
            above list have special meaning in Assist.
          items:
            $ref: '#/components/schemas/IncidentField'
    LinkIncidentResponse:
      type: object
      description: >-
        Response to link a CAD incident to an Assist call. Provides identifiers
        for correlation between systems.
      properties:
        incidentId:
          type: string
          description: Unique ID for the incident in the source CAD.
        callId:
          type: string
          description: Unique ID for active call in Assist.
        assistCallUrl:
          type: string
          description: URL that when opened in a browser will show the call in Assist.
    CadIntegrationError:
      type: object
      description: Response used for errors during CAD integration calls.
      properties:
        message:
          type: string
          description: Error message.
    IncidentField:
      type: object
      description: Data field exchanged between Assist and a CAD system.
      properties:
        name:
          type: string
          description: Name of the field as expected by Assist.
        value:
          type: string
          description: Value currently set for the field in CAD.
        cad_field_name:
          type: string
          description: Optional. Name of the field in the original CAD system.

````